"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
class IpfsWrapper {
    constructor(ipfs) {
        this._ipfs = ipfs;
    }
    put(obj) {
        return __awaiter(this, void 0, void 0, function* () {
            return this._ipfs.dag.put(obj, { format: 'dag-cbor', hashAlg: 'sha3-512' });
        });
    }
    get(hash) {
        return __awaiter(this, void 0, void 0, function* () {
            return this._ipfs.dag.get(hash);
        });
    }
}
exports.default = IpfsWrapper;
//# sourceMappingURL=ipfsWrapper.js.map